> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionq.com/llms.txt
> Use this file to discover all available pages before exploring further.

> Download an artifact associated with a specific job.

# Download a job artifact.

Download an artifact associated with a specific [job](/user-manual/glossary#job) using its unique identifier and the artifact's ID.


## OpenAPI

````yaml https://api.ionq.co/v0.4/api-docs GET /jobs/{UUID}/artifacts/{artifactId}
openapi: 3.0.3
info:
  contact:
    email: support@ionq.co
    name: IonQ
    url: https://ionq.com/
  description: |
    *Last updated: July 6, 2026*
    IonQ's API for accessing the IonQ Quantum Cloud platform

    Please subscribe for automated updates when we perform maintenance or
    experience an outage.

    In addition, you may use the [status endpoint](#tag/status) to check the
    current status of our API.

    ## Authentication

    <SecurityDefinitions />
  title: IonQ Cloud Platform API
  version: v0.4
servers:
  - url: https://api.ionq.co/v0.4
security: []
paths:
  /jobs/{UUID}/artifacts/{artifactId}:
    get:
      summary: Download a job artifact.
      operationId: GetJobArtifact
      parameters:
        - description: The UUID of the job.
          in: path
          name: UUID
          required: true
          schema:
            type: string
        - description: The artifact id.
          in: path
          name: artifactId
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Artifact contents.
          content:
            application/json:
              schema: {}
        '404':
          description: Job or artifact not found.
      security:
        - apiKeyAuth: []
      x-codeSamples:
        - lang: curl
          source: >
            curl
            "https://api.ionq.co/v0.4/jobs/e1a09d90-b2ba-4ea5-9fd7-4bfc14eac524/artifacts/3fa85f64-5717-4562-b3fc-2c963f66afa6"
            \
              -H "Authorization: apiKey your-api-key"
components:
  securitySchemes:
    apiKeyAuth:
      description: >-
        API keys are associated with a user and can be created on the [IonQ
        Quantum Cloud](https://cloud.ionq.com) application. To authenticate,
        prefix your API Key with `apiKey ` and place it in the `Authorization`
        request header. Ex: `Authorization: apiKey your-api-key`
      in: header
      name: Authorization
      type: apiKey

````